JavaScript issue with TB Metroz

+1
0
-1

I am working with a website using the version 1 of TB Metroz (20sevendigital.com/oriental), and there seems to be a conflict between JavaScript versions. If I set the jQuery version to anything between 1.5 - 1.7, the navigation menu stops animating, and the sliders down below in the page get affected. Only the Shopping Cart block works. If I change the version to 1.8, the navigation menu starts animating, and the slider works, but the Shopping Cart block breaks down. It just slides open and closes again quickly.

Is there a fix available for this? I know there is an updated version of the theme but I guess that's available only to current paying customers. Any help on this please?

Thanks

+1
0
-1

Hi jasperlevi,

Unfortunately, we don't have any fix for your issue at the moment. JS code of the theme and 3rd party modules could be incompatible with any jQuery version later than v.1.4.4. Therefore, upgrading jQuery of your site to higher version could break your site. I recommend you should revert your site back to jQuery v1.4.4.

Kind regards,
Will

+1
0
-1

Hi Will,

There is no third-party module in use. It is jQuery Update which the theme ships with anyway! The initial version of the theme has a problem, which you fixed in later releases. The problem is that you are not providing that update to owners of the initial release. These updates should be free, since you gave us a buggy theme.